---
title: "Get orders"
description: >
  Get order details in bulk based on specified request information. For example, you can get orders by the order creation time or update time, or specify an order ID to get details for a single order.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/get-orders'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/get-orders.md'
---
# Get orders

Get order details in bulk based on specified request information. For example, you can get orders by the order creation time or update time, or specify an order ID to get details for a single order. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_orders`

## Request

### Query Parameters

* `created_at_min`

  string (optional)

  Specify the start date and time for filtering orders by order creation time. The system returns orders created at and after this time.  Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `financial_status`

  string (optional)

  The payment status of the order. Valid values are: 
  - `unpaid`: order not paid
  - `authorized`: order payment has been authorized
  - `pending`: order payment in progress
  - `partially_paid`: order partially paid
  - `paid`: order paid
  - `partially_refunded`: order partially refunded
  - `refunded`: order fully refunded

* `order_at_max`

  string (optional)

  Specify the end date and time for filtering orders by order time. The system returns orders placed at this time and up to 1 year prior. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `order_at_min`

  string (optional)

  Specify the start date and time for filtering orders by order time. The system returns orders placed at this time and up to 1 year after. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `updated_at_min`

  string (optional)

  Specify the start date and time for filtering orders by order update time. The system returns orders updated at and after this time. 
  Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `created_at_max`

  string (optional)

  Specify the end date and time for filtering orders by order creation time. The system returns orders created at and before this time. Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `fulfillment_status`

  string (optional)

  The shipment status of the order. Valid values are: 
  - `unshipped`: order not shipped
  - `partial`: order partially shipped
  - `shipped`: order shipped
  
  Default value: `unshipped`
  
  :::warning
  **Caution**: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order query will fail and an error `fulfillment status value is illegal` will be triggered. 
  :::

* `ids`

  string (optional)

  Order IDs, separated by commas. Up to a maximum of 100 IDs. 

* `location`

  string (optional)

  The ID of the location where the products in the order are fulfilled, or the POS transaction point ID. You can specify multiple location IDs by separating them with commas.

* `search_content`

  string (optional)

  Search content, such as order number, payment serial number, express delivery number, product name, product SKU number, and order amount.

* `sort_condition`

  string (optional)

  Specify the sorting conditions for order results. You can sort by fields `order_at` (order creating time) or `id` (order ID), and each field can be specified as either `asc`(ascending) or `desc`(descending). Use commas to separate multiple sorting conditions. 
  
  For example, if you specify the value of this field as `order_at:desc, id:asc`, order results will first be sorted in descending order by order creation time, then in ascending order by order ID.

* `contract_ids`

  string (optional)

  Subscription contract IDs. You can specify multiple IDs by separating them with commas, up to a maximum of 50 IDs.

* `email`

  string (optional)

  Email of the buyer who placed the order.

* `limit`

  string (optional)

  The maximum number of orders to return per request. Valid values range from `1` to `100`. The default value is `20`.

* `name`

  string (optional)

  Order number. Different from the order ID, this number can have a custom prefix set in the SHOPLINE Admin. 

* `since_id`

  string (optional)

  The starting position of the order number ID of the data to be queried.

* `buyer_id`

  string (optional)

  The ID of the buyer who placed the order. 

* `fields`

  string (optional)

  Specify the fields to query, separated by commas. If not specified, all field information is returned.

* `hidden_order`

  string (optional)

  Whether orders to query are archived. 
  - `true`: The orders are archived.
  - `false`: The orders are not archived.
  
  Default value: `false`

* `status`

  string (optional)

  Order status. Valid values are:
  - `open`: order in process
  - `cancelled`: order canceled
  - `any`: contains many other statues, such as order archived

* `updated_at_max`

  string (optional)

  Specify the end date and time for filtering orders by order update time. The system returns orders updated at and before this time. Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `orders`

  array<object>

  List of order details. 

  * `adjust_price`

    string

    The amount discrepancy due to rounding adjustments in POS transactions, expressed in the store currency. 

  * `adjust_price_set`

    object

    The amount discrepancy due to rounding adjustments in POS transactions, displayed in both the buyer currency and the store currency. 

    * `presentment_money`

      object

      The amount discrepancy information presented to the buyer.

      * `amount`

        string

        The adjusted price amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The amount discrepancy information recorded by the store.

      * `amount`

        string

        The adjusted price amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `billing_address`

    object

    The address for sending billing invoices. 

    * `address1`

      string

      The first line of the address. This typically includes information such as the street address or a post office box number.

    * `address2`

      string

      The second line of the address. This typically includes information such as apartment, suite, or unit number. 

    * `city`

      string

      The city in the address. 

    * `company`

      string

      The company name of the billing recipient. 

    * `country`

      string

      The country or region in the address. 

    * `country_code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) standard, used to identify a specific country or region in the address. 

    * `first_name`

      string

      The first name of the billing recipient.

    * `last_name`

      string

      The last name of the billing recipient. 

    * `name`

      string

      The full name of the billing recipient.

    * `phone`

      string

      The phone number of the billing recipient. 

    * `province`

      string

      The province in the address. 

    * `province_code`

      string

      The code for the province in the billing address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.

    * `standard_province_code`

      string

      The code for the province in the billing address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.

    * `zip`

      string

      The postal code information of the address. 

  * `browser_ip`

    string

    The client IP address captured when the buyer places an order.

  * `buyer_note`

    string

    Buyer's message.

  * `cancel_reason`

    string

    Merchant's reason for cancellation.

  * `cancelled_at`

    string

    The date and time when the order was canceled.
    Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `cart_token`

    string

    The unique identifier for shopping cart data.

  * `checkout_id`

    string

    Abandoned order ID.

  * `checkout_token`

    string

    The unique identifier for abandoned order data. After a customer initiates the checkout process, an abandoned order is generated. 

  * `client_details`

    object

    Client details.

    * `browser_ip`

      string

      The client IP address captured when the buyer places an order.

    * `session_hash`

      string

      Member session encrypted information.

    * `user_agent`

      string

      User agent.

  * `company`

    object

    The buyer's company information as recorded at the time the order was placed.

    * `id`

      string

      Company ID.

    * `location_id`

      string

      Location ID.

    * `tax_registration_id`

      string

      Tax registration ID.

  * `contract_seq`

    string

    Subscription contract ID.

  * `created_at`

    string

    The date and time when the order was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `credit_limit`

    object

    Payment information (credit limit). 

    * `credit_limit_currency`

      string

      The currency of the credit payment, same as the store currency. The value of this parameter is a three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `is_credit_limit`

      boolean

      Whether the order was paid using the credit limit (payment terms).
      - `true`: used
      - `false`: not used

    * `outstanding_credit_limit`

      string

      The current outstanding credit limit total for the order. This value decreases as the buyer makes payments toward the order.

    * `total_credit_limit`

      string

      The initial credit limit total used for the order (equal to the initial outstanding credit limit total).

  * `currency`

    string

    Transaction currency. A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `current_subtotal_price`

    string

    The total amount of products, calculated by multiplying the unit price by the quantity and displayed in the store currency.

  * `current_subtotal_price_set`

    object

    The total amount of products, calculated by multiplying the unit price by the quantity and displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The order price information presented to the buyer. 

      * `amount`

        string

        The order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The order price information recorded by the store.

      * `amount`

        string

        The order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `current_total_discounts`

    string

    The total discount amount in the store currency. It is calculated by adding marketing discounts and custom discounts, with the resulting amount rounded to two decimal places.

  * `current_total_discounts_set`

    object

    The total discount amount displayed in both the buyer currency and the store currency. It is calculated by adding marketing discounts and custom discounts, with the resulting amount rounded to two decimal places.

    * `presentment_money`

      object

      The total discount amount information presented to the buyer. 

      * `amount`

        string

        The total discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The total discount amount information recorded by the store.

      * `amount`

        string

        The total discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `current_total_duties_set`

    object

    The total customs duties for the products, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The total customs duties information for the products presented to the buyer. 

      * `amount`

        string

        The duty amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The total customs duties information for the products recorded by the store.

      * `amount`

        string

        The duty amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `current_total_price`

    string

    The total order amount, displayed in the store currency.

  * `current_total_price_set`

    object

    The total order amount, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The order price information presented to the buyer. 

      * `amount`

        string

        The total order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The order price information recorded by the store.

      * `amount`

        string

        The total order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `current_total_tax`

    string

    The total tax amount, displayed in the store currency.

  * `current_total_tax_set`

    object

    The total tax amount, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The tax information presented to the buyer. 

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The tax information recorded by the store.

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `customer`

    object

    Buyer information.

    * `addresses`

      object

      Buyer's address information.

      * `address1`

        string

        The first line of the address. This typically includes information such as the street address or a post office box number.

      * `address2`

        string

        The second line of the address. This typically includes information such as apartment, suite, or unit number.

      * `city`

        string

        The city in the address. 

      * `country`

        string

        The country or region in the address.

      * `country_code`

        string

        A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) standard, used to identify a specific country or region in the address. 

      * `first_name`

        string

        The first name of the recipient.

      * `last_name`

        string

        The last name of the recipient.

      * `name`

        string

        The full name of the recipient.

      * `phone`

        string

        The phone number of the buyer. 

      * `province`

        string

        The province in the address. 

      * `province_code`

        string

        The code for the province in the billing address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.

      * `zip`

        string

        The postal code information of the address.

    * `area_code`

      string

      The area or country code for the phone number. 

    * `created_at`

      string

      The date and time when the buyer information was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `currency`

      string

      A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `email`

      string

      The email of the buyer. 

    * `first_name`

      string

      The first name of the buyer.

    * `id`

      string

      Buyer's ID.

    * `last_name`

      string

      The last name of the buyer.

    * `phone`

      string

      The phone number of the buyer. 

    * `updated_at`

      string

      The date and time when the buyer's information was updated. Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `customer_locale`

    string

    Buyer's language code + country or region code. 
    The language code follows the [ISO 639](https://www.iso.org/iso-639-language-code) standard. Country or region code follows the [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) standard.

  * `deduct_member_point_amount`

    string

    The amount deducted from the order using member points, expressed in the store currency and rounded to two decimal places. 

  * `deduct_member_point_amount_set`

    object

    The amount deducted from the order using member points, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The deduction amount information presented to the buyer. 

      * `amount`

        string

        The deduction amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The deduction amount information recorded by the store.

      * `amount`

        string

        The deduction amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `discount_applications`

    array<object>

    A list of discount information. 

    * `activity_type`

      integer

      The type of promotion applied to the product line:
      
      - `0`: Flash Sale
      - `1`: Time-Limited Promotion
      - `2`: Bundle Offer
      - `3`: Discount Code
      - `4`: One-Page Store
      - `5`: Free Gift
      - `6`: Pre-Order
      - `7`: Add-On Item
      - `8`: Gift Box
      - `9`: Product Upsell Campaign

    * `allocation_method`

      string

      The discount scope. Valid values are:
      - `across`: The discount is applied to the total product amount. 
      - `each`: The discount is applied to each product individually. 
      
      Example: Assume the store currency is CNY. For the purchase of three identical items with a discount amount of 10 CNY, if `allocation_method` is `across`, the total price of the three items is reduced by 10 CNY; if `allocation_method` is `each`, the price of each item is reduced by 10 CNY.

    * `benefit_type`

      integer

      The type of discount applied to the product line:
      
      - `-1`：No discount
      - `1`：Amount reduction
      - `2`：Discount
      - `3`：Free shipping fee
      - `4`：Marked-up item
      - `5`：Preferential price for any N items
      - `6`：Preferential price for the combination of A and B
      - `7`：Gift
      - `8`：Fixed selling price
      - `9`：The lowest-priced item is free
      - `11`：Discount for the Nth item
      - `12`：Buy x and get y free
      - `13`：Customized
      - `14`：M (Monetary Unit) for N Items

    * `code`

      string

      Discount code.

    * `description`

      string

      Custom discount description.

    * `target_selection`

      string

      Discount allocation method for line items. Valid values are: 
      - `explicit`: The discount is allocated only to the explicitly specified line items. 
      - `all`: The discount is allocated to all line items.
      - `entitled`: The discount is allocated only to the line items that are entitled to use the discount. 

    * `target_type`

      string

      Discount target type. Valid values are:
      - `line_item`: discount applied to the product
      - `shipping_line`:  discount applied to the shipping fee

    * `title`

      string

      Automatic discount title.

    * `type`

      string

      Discount type. Valid values are:
      - `manual`: manual discount
      - `automatic`: automatic discount
      - `discount_code`: discount applied through a discount code

    * `value`

      string

      The specific value of the discount, in the store currency. 
      - When `value_type` is `fix_amount`, this field value represents a specific discount amount. For example, if the value is `10` in CNY, it means a discount of 10 yuan. 
      - When `value_type` is `percentage`, the value of this field value represents a specific discount percentage. For example, `10` means 10% off of the order amount. 

    * `value_type`

      string

      The type of discount value. Valid values are:
      - `fix_amount`: Fixed amount discount. For example, if `value` is `10` in CNY, it means a discount of 10 yuan. 
      - `percentage`: Percentage-based discount. For example, if `value` is `10`, it means 10% off of the order amount. 

  * `discount_codes`

    array<object>

    A list of promo code information. 

    * `amount`

      string

      Discount amount in the store currency. The value is rounded to two decimal places. 

    * `amount_set`

      object

      The discount amount, displayed in both the buyer currency and the store currency.

      * `presentment_money`

        object

        The discount amount information presented to the buyer. 

      * `shop_money`

        object

        The discount amount information recorded by the store.

    * `code`

      string

      Promo code.

    * `type`

      string

      Type of discount. Valid values are:
      - `减金额`: amount reduction
      - `打折`: offer a discount
      - `免运费`: free shipping
      - `加价品`: add-on purchase deal
      - `任意N件优惠价`: discount for purchasing any N items
      - `A+B组合优惠价`: discount for purchasing the product A and B combo
      - `赠品`: free gift
      - `固定售价`: fixed price
      - `最低价商品免费`: lowest-priced product free
      - `打包价`: package price
      - `第N件打折`: discount on the Nth item
      - `买x送y`: buy x and get y free
      - `自定义`: custom discount
      
      :::danger 	
      **DEPRECATED**：This parameter is deprecated from API version v20241201. 
      :::

  * `email`

    string

    Buyer's email.

  * `financial_status`

    string

    Order payment status. Valid values are:
    - `unpaid`: order not paid
    - `authorized`: order payment has been authorized
    - `pending`: order payment in progress
    - `partially_paid`: order partially paid
    - `paid`: order paid
    - `partially_refunded`: order partially refund
    - `refunded`: order refund

  * `fulfillment_status`

    string

    Shipping status. Valid values are:
    - `fulfilled`: order shipped
    - `partial`: order partially shipped
    - `null`: order not shipped
    

  * `fulfillments`

    array<object>

    A list of fulfillment information. 

    * `created_at`

      string

      The date and time when the fulfillment was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `id`

      string

      Fulfillment ID.

    * `line_items`

      array<object>

      Product list.

      * `attribute`

        string

        The option information of the product variant, composed of the variant name and the option value. 

      * `bundle_parent_variant_id`

        string

        Parent product variant ID associated with the bundle child product.

      * `fulfillable_quantity`

        integer

        Remaining fulfillable quantity of products at the product line level.

      * `fulfillment_quantity`

        integer

        The quantity of products that are actually shipped.

      * `fulfillment_service`

        string

        Logistics company name.

      * `fulfillment_status`

        string

        Shipping status. Valid values are:
        - `fulfilled`: order shipped
        - `partial`: order partially shipped
        - `null`: order not shipped

      * `grams`

        double

        The weight of the product in grams(g). 

      * `id`

        string

        The ID of the product snapshots table, generated by the system. Combined with the `order.id`, it uniquely identifies a product. 

      * `image_url`

        string

        The URL address that stores the product image.

      * `is_bundle`

        boolean

        Whether the product is a bundle.
        
          - `true`: The product is a bundle.
          - `false`: The product is not a bundle.

      * `is_bundle_component`

        boolean

        Whether the product is a sub-item in a bundle.
        
          - `true`: The product is a sub-item in a bundle.
          - `false`: The product is not a sub-item in a bundle.

      * `location_id`

        string

        The unique ID of the pickup location. 

      * `name`

        string

        SKU title, same as `title`.

      * `price`

        string

        The product price in store currency. The value is rounded to two decimal places. 

      * `price_set`

        object

        The product price, displayed in both the store currency and the buyer currency.

      * `product_id`

        string

        SPU serial number.

      * `quantity`

        integer

        Quantity of items in the order.

      * `requires_shipping`

        boolean

        Indicates whether the product is subject to shipping.
        - `true`：Shipping is required.
        - `false`：Shipping is not required.

      * `sku`

        string

        Product SKU serial number.

      * `tax_lines`

        array<object>

        A list of tax information. 

      * `taxable`

        boolean

        Whether the product is subject to tax.
        - `true`: Tax is required. 
        - `false`: No tax is required.

      * `title`

        string

        Product title.

      * `variant_id`

        string

        A unique code assigned to a distinct product in inventory.

      * `variant_title`

        string

        Product variant value. Multiple values are separated by `/`.

      * `vendor`

        string

        Supplier.

    * `name`

      string

      Fulfillment code.

    * `order_id`

      string

      Order number.

    * `shipment_status`

      string

      Product delivery status. Valid values are:
      - `out_for_delivery`: out for delivery
      - `delivered`: delivered
      - `faliure`: delivery failed
      - `picked_up`: picked up

    * `status`

      string

      Shipping status of the order package. Valid values are:
      - `success`: shipment dispatched
      - `cancelled`: shipment has been canceled

    * `tracking_company`

      string

      Logistics service provider.

    * `tracking_info_list`

      array<object>

      If this parameter is specified, the individual parameters `tracking_url`, `tracking_number`, and `tracking_company` will be ignored.Maximum of 10 tracking infos allowed.

      * `tracking_company`

        string

        The URL for tracking the package.

      * `tracking_number`

        string

        The logistics service provider.

      * `tracking_url`

        string

        The tracking number.

    * `tracking_number`

      string

      The delivery tracking number provided by the logistics service provider.

    * `tracking_url`

      string

      The domain name of the logistics company.

    * `updated_at`

      string

      The date and time when the fulfillment was updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `hidden_order`

    boolean

    Indicates whether the order is archived.
    - `true`: The order is archived.
    - `false`: The order is not archived.

  * `id`

    string

    Order ID, system-defined number.

  * `landing_site`

    string

    Link to record complete order attribution landing page information.

  * `line_items`

    array<object>

    A list of order product snapshot.

    * `attribute`

      string

      The option information of the product variant, composed of the variant name and the option value. 

    * `bundle_parent_variant_id`

      string

      Parent product variant ID associated with the bundle child product.

    * `country_code_of_origin`

      string

      Country or region code indicating the place of origin or shipping origin. Format: [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html).

    * `customized_attributes`

      array<object>

      A list of product custom attributes.

      * `key`

        string

        Product custom attribute name, imported from external sources.
        
        When `key` is `businessType`, `value` is fixed to `3`, indicating a gift. 

      * `value`

        string

        Product custom attribute value. 
        
        When `key` is `businessType`, `value` is fixed to `3`, indicating a gift. 

    * `discount_allocations`

      array<object>

      The discount amount, displayed in both the buyer currency and the store currency.

      * `amount`

        string

        The discount amount. The value is rounded to two decimal places. 

      * `amount_set`

        object

        Discount details in multiple currencies.

      * `discount_application_index`

        integer

        The position of the discount applied to the product within the `orders.discount_applications` list.

    * `duties`

      array<object>

      A list of duty information.

      * `country_code_of_origin`

        string

        Country or region code indicating the place of origin or shipping origin. Format: [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html).

      * `harmonized_system_code`

        string

        Harmonized system code, used to categorize a product in international trade. 

      * `id`

        string

        Tariff number.

      * `price`

        object

        The duty amount, displayed in both the buyer currency and the store currency.

      * `tax_lines`

        array<object>

        A list of tax information. 

    * `fulfillable_quantity`

      integer

      Remaining fulfillable quantity at product line level.

    * `fulfillment_service`

      string

      Logistics company name.

    * `fulfillment_status`

      string

      Shipping status. Valid values are:
      - `fulfilled`: order shipped
      - `partial`: order partially shipped
      - `null`: order not shipped

    * `gift_card`

      boolean

      Whether the product is a gift card.
      - `true`: gift card
      - `false`: not a gift card

    * `grams`

      double

      The weight of the product in grams(g).

    * `harmonized_system_code`

      string

      Harmonized system code, used to categorize a product in international trade. 

    * `id`

      string

      The ID of the product snapshots table, generated by the system. Combined with the `order.id`, it uniquely identifies a product. 

    * `image_url`

      string

      The URL address that stores the product image.

    * `is_bundle`

      boolean

      Whether the product is a bundle.
      
        - `true`: The product is a bundle.
        - `false`: The product is not a bundle.

    * `is_bundle_component`

      boolean

      Whether the product is a sub-item in a bundle.
      
        - `true`: The product is a sub-item in a bundle.
        - `false`: The product is not a sub-item in a bundle.

    * `location_id`

      string

      Local delivery location number or standard delivery location number.

    * `name`

      string

      SKU title, same as `title`.

    * `price`

      string

      The product price in store currency. The value is rounded to two decimal places. 

    * `price_set`

      object

      The product price, displayed in both the store currency and the buyer currency.

      * `presentment_money`

        object

        The product price information presented to the buyer. 

      * `shop_money`

        object

        The product price information recorded by the store.

    * `product_id`

      string

      SPU serial number.

    * `properties`

      array<object>

      A list of product customization information. 

      * `additional`

        string

        Additional custom fields for products. For example, if `name` is `text`, `additional` can include attributes such as font size, font style, and color. 

      * `name`

        string

        Custom attribute name.

      * `role_visibility`

        string

        Custom information visibility roles: 
        
        - `customer`: Visible to buyers only 
        - `merchant`: Visible to merchants only
        - ` all:` Visible to both buyers and merchants 
        - `none`: Hidden from both buyers and merchants

      * `show`

        boolean

        Whether the property is visible.
        
          - `true`: The property is visible.
          - `false`: The property is not visible.

      * `type`

        string

        Custom information type. Valid values are:
        - `text`: text type
        - `picture`: picture type
        - `link`: hyperlink type

      * `urls`

        array<string>

        URL resource list.
        - If `type` is `picture`, thumbnails are rendered via the `urls` values.
        - If `type` is `link`, the hyperlink is the first URL in the `urls` values.

      * `value`

        string

        Custom attribute value.

    * `quantity`

      integer

      Quantity of items in the order.

    * `requires_shipping`

      boolean

      Indicates whether the product is subject to shipping.
      - `true`：Shipping is required.
      - `false`：Shipping is not required.

    * `sku`

      string

      Product SKU serial number.

    * `tags`

      string

      Product tags. Multiple tags are separated by commas. 

    * `tax_lines`

      array<object>

      A list of tax information. 

      * `price`

        string

        Tax in store currency. The value is rounded to two decimal places. 

      * `price_set`

        object

        The tax amount, displayed in both the buyer currency and the store currency.

      * `rate`

        double

        The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

      * `title`

        string

        The title for the tax description, for display only. 

      * `type`

        string

        Tax fee type, used to distinguish between commodity tax and freight tax.
        - `product_tax`: commodity tax 
        - `shipping_tax`: freight tax

    * `taxable`

      boolean

      Whether the product is subject to tax.
      - `true`: Tax is required. 
      - `false`: No tax is required.

    * `title`

      string

      Product title.

    * `variant_id`

      string

      A unique code assigned to a distinct product in inventory.

    * `variant_title`

      string

      Product variant value. Multiple values are separated by `/`.

    * `vendor`

      string

      Supplier.

  * `locations`

    array<object>

    A list of product pickup location addresses. 

    * `address`

      string

      The first line of the address. This typically includes information such as the street address or a post office box number.

    * `address_add`

      string

      The second line of the address. This typically includes information such as apartment, suite, or unit number. 

    * `city`

      string

      The city in the address. 

    * `country`

      string

      The country or region in the address.

    * `country_code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) standard, used to identify a specific country or region in the address. 

    * `district`

      string

      The district or county in the address.

    * `location_id`

      string

      Unique code of the pickup location.

    * `name`

      string

      Pickup location name.

    * `phone`

      string

      Phone number.

    * `province`

      string

      The province in the address.

    * `town`

      string

      The village or town in the address.

    * `type`

      string

      Location types. Valid values are:
      - `posLocation`: The store location where the order was placed using the POS channel. It is recommended to use `posLocationId`, because `posLocation` will be deprecated soon.
      - `pickupLocation`: The store location for customer pickup when the order's delivery method is self-pickup.
      - `productLocation`: The inventory location of the products in the order. It is recommended to use the `location` information in the product line, because `productLocation` will be deprecated soon.

    * `zip`

      string

      The postal code information of the address. 

  * `name`

    string

    Store custom order number, starting from 1001. You can set a prefix for this value, such as `test1001`.

  * `note`

    string

    Merchant notes.

  * `note_attributes`

    array<object>

    A list of merchant note logs.

    * `create_time`

      string

      Note creation date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `name`

      string

      Merchant ID, indicating the note source.

    * `value`

      string

      Note content.

  * `order_at`

    string

    Order completion date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `order_source`

    string

    The order source channel handle. The handle is a semantic identifier.

  * `order_status_url`

    string

    Order status page URL.

  * `payment_details`

    array<object>

    A list of order payment information. 

    * `create_time`

      string

      The date and time when the payment order was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `gateway`

      string

      Payment method name.

    * `giftcard_presentment_money`

      object

      The gift card amount information presented to the buyer.

      * `amount`

        string

        The giftcard amount. The value is rounded to two decimal places.

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `pay_amount`

      double

      Payment amount in the store currency. The value is rounded to two decimal places.

    * `pay_channel`

      string

      Payment channel.

    * `pay_channel_deal_id`

      string

      Payment serial number from the external channel.

    * `pay_merchant_email`

      string

      The email address of the payment service provider.

    * `pay_merchant_id`

      string

      Payment service provider ID.

    * `pay_merchant_order_id`

      string

      Payment service provider order number.

    * `pay_seq`

      string

      Payment order number.

    * `pay_status`

      string

      Payment status. Valid values are:
      - `unpaid`: unpaid
      - `pending`: payment in process
      - `risking`: under risk control
      - `paid`：paid
      - `paid_overtime`: payment timeout
      - `paid_failed`: payment failed

    * `payment_method`

      string

      Payment method.

    * `processed_at`

      string

      Custom date and time for the payment order. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `settle_currency`

      string

      The currency used by the customer to place the order. The value of this parameter is a three-letter currency code that follow the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `settle_pay_amount`

      double

      Payment amount in `settle_currency`. The value is rounded to two decimal places. 

    * `status_code`

      string

      Payment gateway standard status code.

    * `status_msg`

      string

      The description of `status_code`.

  * `payment_gateway_names`

    array<string>

    Payment method list. Valid values are:
    - `SLpayments`
    - `Paypal`
    - `Oceanpay`
    - `TwoCheckout`
    - `AsiaBill`
    - `Stripe`
    - `Pacypay`
    - `WorldPay`
    - `COD`
    - `CUSTOM`
    - `adjustPay`
    - `Xendit`
    - `XenditOther`

  * `payment_terms`

    object

    Information related to payment terms. 

    * `created_at`

      string

      The date and time when payment terms were created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `due_in_days`

      integer

      Remaining days until the payment is due. This field is returned when the value of `payment_terms_type` is `NET`. 

    * `id`

      string

      The unique identifier (ID) that identifies this payment term.

    * `overdue`

      boolean

      Whether the payment is overdue.
      - `true`: overdue
      - `false`: not overdue

    * `payment_schedules`

      array<object>

      A set of schedules associated with the payment terms.

      * `completed_at`

        string

        Payment completion date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

      * `due_at`

        string

        Expected payment date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

      * `issued_at`

        string

        Payment start date and time. When `payment_terms_type` is `FIXED` or `NET`, `issue_at` indicates the save time of the draft order or the order itself. If the draft order is converted to an order, the order inherits the save time of the draft. When `payment_terms_type` is `FULFILLMENT` or `RECEIPT`, it refers to the payment start date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). 

    * `payment_terms_name`

      string

      The name of the payment terms template used to create the payment terms.

    * `payment_terms_type`

      string

      The type of payment terms template used to create the payment terms. Valid values are:
      - `FIXED`: Merchant specified date
      - `FULFILLMENT`: Fulfillment (Shipment) completion date
      - `NET`: Fixed condition date
      - `RECEIPT`: Billing sent date
      - `UNKNOWN`: Unknown type

    * `updated_at`

      string

      The date and time when the payment term was updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `phone`

    string

    Buyer's mobile phone number.

  * `po_number`

    string

    Purchase order number for a B2B order.

  * `pos_location_id`

    string

    POS trading location ID.

  * `presentment_currency`

    string

    Buyer currency, the same as the store currency. A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `processed_at`

    string

    Order completion date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `processed_user_id`

    string

    The ID of the order creator.

  * `referring_site`

    string

    Attribution URL, used to record how the buyer was redirected to the online store. 

  * `refunds`

    array<object>

    Refund list.

    * `created_at`

      string

      The date and time when the refund order was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `id`

      string

      Refund ID.

    * `note`

      string

      Refund notes of merchant.

    * `order_adjustments`

      array<object>

      A list of adjusted order information, used to record two types of information: 
      - Refund information related to shipping costs ( `kind` is `shipping_refund` ).
      - The difference between the automatically calculated refund amount and the actual refund amount ( `kind` is `refund_discrepancy` ).

      * `amount`

        string

        The adjustment order amount. The value is rounded to two decimal places.

      * `amount_set`

        object

        The adjustment order amount, displayed in both the buyer currency and the store currency.

      * `id`

        string

        The adjustment order ID. 

      * `kind`

        string

        The adjustment order type. Valid values are:
        - `refund_discrepancy`: shipping amount adjustment
        - `shipping_refund`: payment order amount adjustment

      * `order_id`

        string

        Order number.

      * `reason`

        string

        Reason for adjustment.

      * `refund_id`

        string

        The refund order ID. 

      * `tax_amount`

        string

        The tax amount of the adjusted order in store currency. The value is rounded to two decimal places. 

      * `tax_amount_set`

        object

        The tax amount of the adjustment order, displayed in both the buyer currency and the store currency.

    * `order_id`

      string

      Order number.

    * `processed_at`

      string

      Refund initiation date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `refund_line_items`

      array<object>

      A list of refund details for each item line. 

      * `id`

        string

        Refund order number.

      * `line_item`

        object

        The product line information in the fulfillment order.

      * `line_item_id`

        string

        The ID of the product snapshots table, generated by the system. Combined with the `order.id`, it uniquely identifies a product. 

      * `quantity`

        integer

        The quantity of refunded products.

      * `restock_type`

        string

        Inventory return type. Valid values are:
        - `no_restock`: not returned
        - `cancel`: canceled
        - `return`: returned

      * `subtotal`

        double

        The total amount of the refund in the store currency. It is calculated as the product of the unit price and quantity. 

      * `subtotal_set`

        object

        The total amount of the refund displayed in both the buyer currency and the store currency. It is calculated as the product of the unit price and quantity. 

      * `total_tax`

        double

        The tax amount of the refunded products, displayed in the store currency. The value is rounded to two decimal places.

      * `total_tax_set`

        object

        The tax amount of the refunded products,  displayed in both the buyer currency and the store currency.

    * `transactions`

      array<object>

      A list of refund transaction information. 

      * `amount`

        string

        The refund amount. The value is rounded to two decimal places. 

      * `channel_refund_id`

        string

        A unique identifier for the refund order from the external channel or payment provider.

      * `created_at`

        string

        The date and time when the refund transaction order was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

      * `currency`

        string

        Three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

      * `gateway`

        string

        Payment channel code. 

      * `id`

        string

        Refund ID.

      * `kind`

        string

        Transaction type. The value is fixed to `refund`.

      * `order_id`

        string

        Order number.

      * `processed_at`

        string

        Refund order update date and time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

      * `settle_amount`

        string

        Refund amount in the settlement currency ( `settle_currency` ). The value is rounded to two decimal places. 

      * `settle_currency`

        string

        Refund settlement currency. The value of this parameter is a three-letter currency code that follows the  [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

      * `status`

        string

        Refund status. Valid values are: 
        - `pending`: refund in progress
        - `failure`: refund failed
        - `success`: refund successful
        - `error`: refund error

      * `status_update_at`

        string

        Update time of the refund order status.

      * `user_id`

        string

        Buyer ID.

    * `user_id`

      string

      Buyer ID.

  * `service`

    string

    Shipping method type. Valid values are:
    - `Pickup`: pick up at the store
    - `null`: other shipping methods

  * `shipping_address`

    object

    The address used for receiving packages.

    * `address1`

      string

      The first line of the address. This typically includes information such as the street address or a post office box number.

    * `address2`

      string

      The second line of the address. This typically includes information such as apartment, suite, or unit number. 

    * `city`

      string

      The city in the address. 

    * `company`

      string

      The company name of the recipient. 

    * `country`

      string

      The country or region in the address.

    * `country_code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) standard, used to identify a specific country or region in the address. 

    * `delivery_store_code`

      string

      Store code for the "Deliver to Store" delivery method in Taiwan.

    * `delivery_store_name`

      string

      Store name for the "Deliver to Store" delivery method in Taiwan.

    * `district`

      string

      The district in the address.

    * `district_code`

      string

      The district code in the address.

    * `first_name`

      string

      The first name of the recipient. 

    * `last_name`

      string

      The last name of the recipient. 

    * `latitude`

      string

      The latitude where the address is located.

    * `longitude`

      string

      The longitude where the address is located.

    * `name`

      string

      The full name of the recipient. 

    * `phone`

      string

      The phone number of the recipient. 

    * `province`

      string

      The province in the address.

    * `province_code`

      string

      The code for the province in the address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.

    * `standard_province_code`

      string

      The code for the province in the shipping address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.

    * `zip`

      string

      The postal code information of the address. 

  * `shipping_lines`

    array<object>

    A list of shipping fee.

    * `code`

      string

      Only local delivery shipping methods will return a value, displayed as  `Local delivery` .

    * `discount_allocations`

      array<object>

      A list of discount details.

      * `amount`

        string

        The discount amount in store currency. The value is rounded to two decimal places. 

      * `amount_set`

        object

        The discount amount, displayed in both the buyer currency and the store currency.

      * `discount_application_index`

        integer

        The position of the discount applied to the product within the `orders.discount_applications` list.

    * `discounted_price`

      string

      Discount amount. The value is rounded to two decimal places, is displayed in the store currency

    * `discounted_price_set`

      object

      The discount amount, displayed in both the buyer currency and the store currency.

      * `presentment_money`

        object

        The discount amount information presented to the buyer. 

      * `shop_money`

        object

        The discount amount information recorded by the store.

    * `phone`

      string

      Buyer's phone.

    * `price`

      string

      The shipping fee amount in store currency. The value is rounded to two decimal places.

    * `price_set`

      object

      The shipping fee amount, displayed in both the buyer currency and the store currency.

      * `presentment_money`

        object

        The shipping fee information presented to the buyer. 

      * `shop_money`

        object

        The shipping fee information recorded by the store.

    * `requested_fulfillment_service_id`

      string

      Transportation service code.

    * `shipping_price`

      string

      The original shipping fee in store currency, excluding the amount after discount. The value is rounded to two decimal places.

    * `shipping_price_set`

      object

      The original shipping fee, excluding the amount after discount, displayed in both the buyer currency and the store currency.

      * `presentment_money`

        object

        The shipping fee information presented to the buyer. 

      * `shop_money`

        object

        The shipping fee information recorded by the store.

    * `shipping_strategy_name`

      string

      The name of the shipping strategy. It has a corresponding value only when the shipping method is `SHIPPING` or `LOCAL_DELIVERY`.

    * `source`

      string

      Logistics carrier type. Valid values are:
      - `Shipper`: Shipper logistics
      - `Oneship`: Oneship logistics
      - `Api`: logistics carriers added via open API capabilities
      - `null`: system logistics or custom logistics

    * `tax_lines`

      array<object>

      A list of logistics tax information.

      * `price`

        string

        Tax in store currency. The value is rounded to two decimal places. 

      * `price_set`

        object

        The tax amount, displayed in both the buyer currency and the store currency.

      * `rate`

        double

        The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

      * `title`

        string

        The title for the tax description, for display only. 

    * `title`

      string

      Logistics company name.

  * `source_identifier`

    string

    The marketing referral code carried by the store link through which the customer accesses the store. The field value is extracted from the URL parameter `ref`, `resource`, or `r`. For example, if the customer visits the URL `myshopline.com/products/slide?ref=22dd9dctg`, then the value of this field is `22dd9dctg`. 

  * `source_name`

    string

    Indicates the category of the app that initiated this API. Valid values are:
    - `sales_plugin_of`: The distribution app in the marketing system 
    - `member_plugin_referral`: The referral app in the membership system

  * `source_url`

    string

    Attribution URL, used to record how the buyer was redirected to the online store. 

  * `status`

    string

    Order status. Valid values are：
    - `open`: The order is processing.
    - `canceled`: The order is cancelled.

  * `store_id`

    string

    Store ID.

  * `subtotal_price`

    string

    The final price after discounts, calculated as the total product price minus any marketing discounts and custom discounts. The amount is displayed in the store currency.

  * `subtotal_price_set`

    object

    The final price after discounts, calculated as the total product price minus any marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.

    * `presentment_money`

      object

      The final price information presented to the buyer. 

      * `amount`

        string

        The final price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The final price information recorded by the store.

      * `amount`

        string

        The final price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `tags`

    string

    Order tag.

  * `tax_description`

    string

    The description for the tax.

  * `tax_lines`

    array<object>

    A list of tax information. 

    * `name`

      string

      Tax name.

    * `price`

      string

      Tax in store currency. The value is rounded to two decimal places. 

    * `price_set`

      object

      The tax amount, displayed in both the buyer currency and the store currency.

      * `presentment_money`

        object

        The tax amount information presented to the buyer. 

      * `shop_money`

        object

        The tax amount information recorded by the store.

    * `rate`

      double

      The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

    * `title`

      string

      The title for the tax description, for display only. 

  * `tax_number`

    string

    Tax ID.

  * `tax_type`

    string

    The type of tax applicable to the order. Valid values are:
    - `product_tax`: product tax
    - `shipping_tax`: shipping tax

  * `taxes_included`

    boolean

    Indicates whether this order includes taxes.
    - `true`: including taxes
    - `false`: excluding taxes

  * `total_discounts`

    string

    The total order discount, calculated as the sum of marketing discounts and custom discounts. The amount is rounded to two decimal places and displayed in the store currency.
    
    :::danger
    **DEPRECATED**：This parameter is deprecated from API version v20210901.
    :::

  * `total_discounts_set`

    object

    The total order discount, calculated as the sum of marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.
    
    :::danger
    **DEPRECATED**：This parameter is deprecated from API version v20210901.
    :::

    * `presentment_money`

      object

      The discount amount information presented to the buyer. 

      * `amount`

        string

        The discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The discount amount information recorded by the store.

      * `amount`

        string

        The discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `total_line_items_price`

    string

    The total original price of the products, rounded to two decimal places, displayed in the store currency.

  * `total_line_items_price_set`

    object

    The total original price of the products, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The original price information presented to the buyer. 

      * `amount`

        string

        The original price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The original price information recorded by the store.

      * `amount`

        string

        The original price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `total_outstanding`

    string

    The total unpaid amount in the store currency. The value is rounded to two decimal places. 

  * `total_shipping_price_set`

    object

    The total shipping fee for the order, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The shipping fee information presented to the buyer. 

      * `amount`

        string

        The shipping fee. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The shipping fee information recorded by the store.

      * `amount`

        string

        The shipping fee. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `total_tax`

    string

    The total tax amount in the store currency. The value is rounded to two decimal places. 

  * `total_tax_set`

    object

    The total tax amount, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The tax amount information presented to the buyer. 

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The tax amount information recorded by the store.

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `total_tip_received`

    string

    The tip amount in the store currency. The value is rounded to two decimal places. 

  * `total_tip_received_set`

    object

    The tip amount, displayed in both the store currency and the buyer currency.

    * `presentment_money`

      object

      The tip amount information presented to the buyer. 

      * `amount`

        string

        The tip amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The tip amount information recorded by the store.

      * `amount`

        string

        The tip amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `total_weight`

    double

    The total weight of products in grams(g).

  * `updated_at`

    string

    The date and time when the order was updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `user_id`

    string

    Buyer ID.

  * `utm_parameters`

    string

    Parameters specifically designed for the advertising business, used for ad attribution calculation. 
    
    :::danger 	
    **DEPRECATED**：This parameter is deprecated from API version v20251201. Please fetch data from the [Get order attribution in bulk](https://developer.shopline.com/docs/admin-rest-api/order/order-management/get-order-attribution-in-bulk.md) API. 
    :::


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get orders"
  ],
  "description": "Get order details in bulk based on specified request information. For example, you can get orders by the order creation time or update time, or specify an order ID to get details for a single order. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| INTERNAL_ERROR | 500 | An internal error occured. |\n| SUCCESS | 200 | request success |\n| PARAM_ILLEGAL | 422 | illegal param |\n| ILLEGAL_PARAMS | 422 | illegal param |\n| ORDER_AT_END_TIME_AFTER_START | 400 | The \"order_at_max\" must be later than \"order_at_min\". |\n"
  },
  "operationId": "jyjIsvq9",
  "parameters": [
    {
      "name": "created_at_min",
      "in": "query",
      "description": "Specify the start date and time for filtering orders by order creation time. The system returns orders created at and after this time.  Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_min",
        "description": "Specify the start date and time for filtering orders by order creation time. The system returns orders created at and after this time.  Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-08-04T23:59:59+08:00"
      },
      "example": "2021-08-04T23:59:59+08:00",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "financial_status",
      "in": "query",
      "description": "The payment status of the order. Valid values are: \n- `unpaid`: order not paid\n- `authorized`: order payment has been authorized\n- `pending`: order payment in progress\n- `partially_paid`: order partially paid\n- `paid`: order paid\n- `partially_refunded`: order partially refunded\n- `refunded`: order fully refunded",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "financial_status",
        "description": "The payment status of the order. Valid values are: \n- `unpaid`: order not paid\n- `authorized`: order payment has been authorized\n- `pending`: order payment in progress\n- `partially_paid`: order partially paid\n- `paid`: order paid\n- `partially_refunded`: order partially refunded\n- `refunded`: order fully refunded",
        "type": "string"
      },
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "order_at_max",
      "in": "query",
      "description": "Specify the end date and time for filtering orders by order time. The system returns orders placed at this time and up to 1 year prior. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "order_at_max",
        "description": "Specify the end date and time for filtering orders by order time. The system returns orders placed at this time and up to 1 year prior. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2026-07-17T15:00:00Z"
      },
      "example": "2026-07-17T15:00:00Z",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "order_at_min",
      "in": "query",
      "description": "Specify the start date and time for filtering orders by order time. The system returns orders placed at this time and up to 1 year after. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "order_at_min",
        "description": "Specify the start date and time for filtering orders by order time. The system returns orders placed at this time and up to 1 year after. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2026-07-17T15:00:00Z"
      },
      "example": "2026-07-17T15:00:00Z",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The unique identifier for pagination queries, used to locate specific pages.\n\nThis parameter value is obtained from the `link` value in the response header of this APl after you have queried the pagination information.\n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` then the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`.\n\nFor more information on how to use\npagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
        "type": "string"
      },
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Specify the start date and time for filtering orders by order update time. The system returns orders updated at and after this time. \nFormat：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Specify the start date and time for filtering orders by order update time. The system returns orders updated at and after this time. \nFormat：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-08-04T23:59:59+08:00"
      },
      "example": "2021-08-04T23:59:59+08:00",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "created_at_max",
      "in": "query",
      "description": "Specify the end date and time for filtering orders by order creation time. The system returns orders created at and before this time. Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_max",
        "description": "Specify the end date and time for filtering orders by order creation time. The system returns orders created at and before this time. Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-08-18T23:59:59+08:00"
      },
      "example": "2021-08-18T23:59:59+08:00",
      "examples": {
        "Get orders": {
          "value": "2024-10-10T12:00:00+08:00"
        }
      }
    },
    {
      "name": "fulfillment_status",
      "in": "query",
      "description": "The shipment status of the order. Valid values are: \n- `unshipped`: order not shipped\n- `partial`: order partially shipped\n- `shipped`: order shipped\n\nDefault value: `unshipped`\n\n:::warning\n**Caution**: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order query will fail and an error `fulfillment status value is illegal` will be triggered. \n:::",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fulfillment_status",
        "description": "The shipment status of the order. Valid values are: \n- `unshipped`: order not shipped\n- `partial`: order partially shipped\n- `shipped`: order shipped\n\nDefault value: `unshipped`\n\n:::warning\n**Caution**: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order query will fail and an error `fulfillment status value is illegal` will be triggered. \n:::",
        "type": "string"
      },
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "ids",
      "in": "query",
      "description": "Order IDs, separated by commas. Up to a maximum of 100 IDs. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "ids",
        "description": "Order IDs, separated by commas. Up to a maximum of 100 IDs. ",
        "type": "string",
        "example": "21050224312121887324667162, 21050224312121887324667164"
      },
      "example": "21050224312121887324667162, 21050224312121887324667164",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "location",
      "in": "query",
      "description": "The ID of the location where the products in the order are fulfilled, or the POS transaction point ID. You can specify multiple location IDs by separating them with commas.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "location",
        "description": "The ID of the location where the products in the order are fulfilled, or the POS transaction point ID. You can specify multiple location IDs by separating them with commas.",
        "type": "string",
        "example": "5453386037065169090, 5564834083287605454"
      },
      "example": "5453386037065169090, 5564834083287605454",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "search_content",
      "in": "query",
      "description": "Search content, such as order number, payment serial number, express delivery number, product name, product SKU number, and order amount.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "search_content",
        "description": "Search content, such as order number, payment serial number, express delivery number, product name, product SKU number, and order amount.",
        "type": "string",
        "example": "D203"
      },
      "example": "D203",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "sort_condition",
      "in": "query",
      "description": "Specify the sorting conditions for order results. You can sort by fields `order_at` (order creating time) or `id` (order ID), and each field can be specified as either `asc`(ascending) or `desc`(descending). Use commas to separate multiple sorting conditions. \n\nFor example, if you specify the value of this field as `order_at:desc, id:asc`, order results will first be sorted in descending order by order creation time, then in ascending order by order ID.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "sort_condition",
        "description": "Specify the sorting conditions for order results. You can sort by fields `order_at` (order creating time) or `id` (order ID), and each field can be specified as either `asc`(ascending) or `desc`(descending). Use commas to separate multiple sorting conditions. \n\nFor example, if you specify the value of this field as `order_at:desc, id:asc`, order results will first be sorted in descending order by order creation time, then in ascending order by order ID.",
        "type": "string",
        "example": "order_at:desc"
      },
      "example": "order_at:desc",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "contract_ids",
      "in": "query",
      "description": "Subscription contract IDs. You can specify multiple IDs by separating them with commas, up to a maximum of 50 IDs.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "contract_ids",
        "description": "Subscription contract IDs. You can specify multiple IDs by separating them with commas, up to a maximum of 50 IDs.",
        "type": "string",
        "example": "3005619945158043247856"
      },
      "example": "3005619945158043247856",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "email",
      "in": "query",
      "description": "Email of the buyer who placed the order.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "email",
        "description": "Email of the buyer who placed the order.",
        "type": "string",
        "example": "Washingtontest@gmail.com"
      },
      "example": "Washingtontest@gmail.com",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "The maximum number of orders to return per request. Valid values range from `1` to `100`. The default value is `20`.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The maximum number of orders to return per request. Valid values range from `1` to `100`. The default value is `20`.",
        "type": "string"
      },
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "name",
      "in": "query",
      "description": "Order number. Different from the order ID, this number can have a custom prefix set in the SHOPLINE Admin. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "name",
        "description": "Order number. Different from the order ID, this number can have a custom prefix set in the SHOPLINE Admin. ",
        "type": "string",
        "example": "D2034"
      },
      "example": "D2034",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "The starting position of the order number ID of the data to be queried.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "The starting position of the order number ID of the data to be queried.",
        "type": "string",
        "example": "21056199447626881527947685"
      },
      "example": "21056199447626881527947685",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "buyer_id",
      "in": "query",
      "description": "The ID of the buyer who placed the order. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "buyer_id",
        "description": "The ID of the buyer who placed the order. ",
        "type": "string",
        "example": "4201057495"
      },
      "example": "4201057495",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "fields",
      "in": "query",
      "description": "Specify the fields to query, separated by commas. If not specified, all field information is returned.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Specify the fields to query, separated by commas. If not specified, all field information is returned.",
        "type": "string",
        "example": "id,email,note"
      },
      "example": "id,email,note",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "hidden_order",
      "in": "query",
      "description": "Whether orders to query are archived. \n- `true`: The orders are archived.\n- `false`: The orders are not archived.\n\nDefault value: `false`",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "hidden_order",
        "description": "Whether orders to query are archived. \n- `true`: The orders are archived.\n- `false`: The orders are not archived.\n\nDefault value: `false`",
        "type": "string"
      },
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "status",
      "in": "query",
      "description": "Order status. Valid values are:\n- `open`: order in process\n- `cancelled`: order canceled\n- `any`: contains many other statues, such as order archived",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "status",
        "description": "Order status. Valid values are:\n- `open`: order in process\n- `cancelled`: order canceled\n- `any`: contains many other statues, such as order archived",
        "type": "string"
      },
      "examples": {
        "Get orders": {
          "value": "cancelled"
        }
      }
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Specify the end date and time for filtering orders by order update time. The system returns orders updated at and before this time. Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Specify the end date and time for filtering orders by order update time. The system returns orders updated at and before this time. Format：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-08-18T23:59:59+08:00"
      },
      "example": "2021-08-18T23:59:59+08:00",
      "examples": {
        "Get orders": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "orders": {
                "name": "orders",
                "description": "List of order details. ",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "adjust_price": {
                      "name": "adjust_price",
                      "description": "The amount discrepancy due to rounding adjustments in POS transactions, expressed in the store currency. ",
                      "type": "string",
                      "example": "8.00"
                    },
                    "adjust_price_set": {
                      "name": "adjust_price_set",
                      "description": "The amount discrepancy due to rounding adjustments in POS transactions, displayed in both the buyer currency and the store currency. ",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "The amount discrepancy information presented to the buyer.",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "The adjusted price amount. The value is rounded to two decimal places. ",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "shop_money": {
                          "name": "shop_money",
                          "description": "The amount discrepancy information recorded by the store.",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "The adjusted price amount. The value is rounded to two decimal places. ",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "billing_address": {
                      "name": "billing_address",
                      "description": "The address for sending billing invoices. ",
                      "type": "object",
                      "properties": {
                        "address1": {
                          "name": "address1",
                          "description": "The first line of the address. This typically includes information such as the street address or a post office box number.",
                          "type": "string",
                          "example": "Address 1"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "The second line of the address. This typically includes information such as apartment, suite, or unit number. ",
                          "type": "string",
                          "example": "Address 2"
                        },
                        "city": {
                          "name": "city",
                          "description": "The city in the address. ",
                          "type": "string",
                          "example": "New York"
                        },
                        "company": {
                          "name": "company",
                          "description": "The company name of the billing recipient. ",
                          "type": "string",
                          "example": "New company name"
                        },
                        "country": {
                          "name": "country",
                          "description": "The country or region in the address. ",
                          "type": "string",
                          "example": "USA"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) standard, used to identify a specific country or region in the address. ",
                          "type": "string",
                          "example": "US"
                        },
                        "first_name": {
                          "name": "first_name",
                          "description": "The first name of the billing recipient.",
                          "type": "string",
                          "example": "Tom"
                        },
                        "last_name": {
                          "name": "last_name",
                          "description": "The last name of the billing recipient. ",
                          "type": "string",
                          "example": "Washington"
                        },
                        "name": {
                          "name": "name",
                          "description": "The full name of the billing recipient.",
                          "type": "string",
                          "example": "test1001"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "The phone number of the billing recipient. ",
                          "type": "string",
                          "example": "13100000000"
                        },
                        "province": {
                          "name": "province",
                          "description": "The province in the address. ",
                          "type": "string",
                          "example": "California"
                        },
                        "province_code": {
                          "name": "province_code",
                          "description": "The code for the province in the billing address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.",
                          "type": "string",
                          "example": "4200006"
                        },
                        "standard_province_code": {
                          "name": "standard_province_code",
                          "description": "The code for the province in the billing address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.",
                          "type": "string"
                        },
                        "zip": {
                          "name": "zip",
                          "description": "The postal code information of the address. ",
                          "type": "string",
                          "example": "92503"
                        }
                      },
                      "example": {
                        "address1": "Address 1",
                        "address2": "Address 2",
                        "city": "New York",
                        "company": "New company name",
                        "country": "USA",
                        "country_code": "US",
                        "first_name": "Tom",
[...]
